onEvent('recipes', (event) => {

    const to_remove = [
        'overloaded:nether_star_block',
        'draconicevolution:draconium_core',
    ]

    onEvent('recipes', event => {
        for (let item of to_remove) event.remove({output: item})
    })


    const newRecipes = [
        {
            output: 'overloaded:nether_star_block',
            pattern: ['AAA', 'ABA', 'AAA'],
            key: {
                A: 'compressedblocks:giga_crated_nether_star',
                B: 'draconicevolution:chaotic_core'
            },
            id: 'overloaded:nether_star_block'
        },
        {
            output: 'draconicevolution:draconium_core',
            pattern: ['ABA', 'BCB', 'ABA'],
            key: {
                A: 'draconicevolution:draconium_ingot',
                B: 'compressedblocks:c3_gold_block',
                C: 'compressedblocks:c3_obsidian'
            },
            id: 'draconicevolution:draconium_core'
        }
    ];

    newRecipes.forEach((recipe) => {
        if (recipe.id) {
            event.shaped(recipe.output, recipe.pattern, recipe.key).id(recipe.id);
        } else {
            event.shaped(recipe.output, recipe.pattern, recipe.key);
        }
    });

});
